<script>
export default {
    props: {
        'inputID': [String,Number],
        'inputName': String,
        'inputValue': String,
        'inputType': String
    },
    emits: ['update:inputNumberValue'],
    mounted() {
        if (this.inputValue) {
            this.$emit('update:inputNumberValue', this.inputValue);
        }
    }
}
</script>

<template>
    <input v-if="inputType==='integerType'" class="form-control" :id="inputID" :name="inputName" type="number" :value="inputValue"
    step="1"
    @input="$emit('update:inputNumberValue', Math.round($event.target.value))">

    <input v-else-if="inputType==='floatType'" class="form-control" :id="inputID" :name="inputName" type="number" :value="inputValue"
    step="any" pattern="[0-9]+([,\.][0-9]+)?"
    @input="$emit('update:inputNumberValue', $event.target.value)">
</template>